.\"----------------------------------------------------------------------------
.\"-- This text was extracted using the following command:
.\"--   xdoc -man -p '[ \t]*' -s ARGVALOPT ../parseargs.c
.\"----------------------------------------------------------------------------
.SH OPTIONS WITH OPTIONAL ARGUMENTS
.PP
Options that may take an optional argument need special consideration.
The shell programmer needs to know whether or not the option was given, and
(if given) if it was accompanied by an argument. In order to accommodate this
need, \fBparseargs\fP will set an additional shell variable for each argument
that is given the \s-1ARGVALOPT\s+1 flag if it is supplied on the command line
\fIregardless of whether or not it was accompanied by its optional argument\fP.
If the user has defined an option which may optionally
take an argument and the option appears on the command line
\fIwith or without\fP its associated argument, then the shell variable
\fI<name>\fP\f4_flag\fP will be assigned the value ``\f4TRUE\fP''
(or the value supplied with the \fB\-T\fP option to \fBparseargs\fP) where
\fI<name>\fP is the name of the shell variable associated with the option
in the argument description string.
