.\"----------------------------------------------------------------------------
.\"-- This text was extracted using the following command:
.\"--   xdoc -man -n -p '[ \t]*' -I DESCRIPTION ../parseargs.c
.\"----------------------------------------------------------------------------
.SH DESCRIPTION
Given a command name, a vector of string-valued arguments
such as that passed to a shell script,
and a specification string describing the possible arguments,
.B parseargs
matches actual arguments to possible arguments,
converts values to the desired type,
and diagnoses problems such as
missing arguments,
extra arguments,
and argument values that are syntactically incorrect.
Other behavior such as prompting the user for missing arguments and
ignoring bad command-line syntax may be specified on the command-line
through the use of various options, or through the use of the
``\s-1PARSECNTL\s+1'' environment variable.
.PP
Given the command name and the argument specification string,
.B parseargs \-U
prints a reasonably friendly version of the usage of the
calling program on standard diagnostic output. The ``verbosity''
of the usage message may be controlled through the use of the
``\s-1USAGECNTL\s+1'' environment variable.
.PP
Given the command name and the argument specification string,
.B parseargs \-M
prints a template of the command-syntax on standard output that is
suitable for input to \fInroff\fP or \fItroff\fP using the \fI\-man\fP
macro package.
.PP
Given no other arguments
\fBparseargs \-#\fP prints on standard output, the current version and
patchlevel of the running version of \fBparseargs\fP.

